<template>
    <div>
        <input type="number" v-model="id"/>
        <button v-on:click="getById(id)">
            press me, senpai
        </button>
    </div>
</template>

<script>
    export default {
        name: "GetSpellInfo",
        methods: {
            getById: function (id) {
                fetch(`http://localhost:8088/api/spell/${id}/render/info`)
                    .then(response => response.json())
                    .then(response => {
                        this.spellRender = response;
                        console.log("spell render now is ", this.spellRender);
                        this.$emit("spellById", this.spellRender);
                        this.spellRender = null;
                    });
            }
        },
        data() {
            return {
                id: null,
                spellRender: null
            }
        }
    }
</script>

<style scoped>

</style>